Approve an assessment revision
Approve an assessment revision
Promote a pending assessment revision to APPROVED. The parent assessment’s effective state is refreshed from this revision.
POST
Approve an assessment revision
Authorizations
Bearer token for authentication
Path Parameters
Revision ID to approve
Body
application/json
Request to approve a pending assessment revision
Optional reviewer note
Response
A successful response.
Response for ApproveAssessmentRevision method
Immutable snapshot of an assessment at a revision number, with authorship and review audit trails
Example:
{
"justification_code": null,
"note": "note",
"approval_status": "ASSESSMENT_APPROVAL_STATUS_UNSPECIFIED",
"reviewed_at": "2000-01-23T04:56:07.000Z",
"created_at": "2000-01-23T04:56:07.000Z",
"assessment_id": "assessment_id",
"project_version_id": "project_version_id",
"reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"confidence_breakdown": {
"schema_version": "schema_version",
"scores": {
"key": {
"reason": "reason",
"abstained": true,
"value": 5.637376656633329
}
},
"derived": {
"rollup_active_axes": 7,
"dominant_low_axis": {
"reason": "reason",
"axis": "axis",
"value": 9.301444243932576
},
"rollup": 2.3021358869347655
}
},
"created_by": {
"api_token": { "id": "id" },
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": { "name": "name" }
},
"revision": 1,
"products": [
{ "purl_glob": "purl_glob" },
{ "purl_glob": "purl_glob" }
],
"review_note": "review_note",
"scope": null,
"confidence_score": 5.962133916683182,
"id": "id",
"auto_remediable": true,
"status": null
}